summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/3747/testcase46
1 files changed, 46 insertions, 0 deletions
diff --git a/dvm/3747/testcase b/dvm/3747/testcase
new file mode 100755
index 0000000..12c2553
--- /dev/null
+++ b/dvm/3747/testcase
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function backend_data ()
+{
+ $GLUSTERFSDIR/gluster volume create --mode=script $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/export1\
+ $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+
+ mount_glusterfs $global_bug_id;
+
+ sleep 1;
+
+ $GLUSTERFSDIR/gluster --mode=script volume stop $global_bug_id &>/dev/null;
+
+ touch $EXPORT_DIR/$global_bug_id/export1/{1..10} ;
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+
+ sleep 2;
+
+ find $FUSE_MOUNT | xargs stat &>/dev/null;
+
+ $GLUSTERFSDIR/gluster --mode=script volume stop $global_bug_id &>/dev/null;
+
+ rm -rf /$EXPORT_DIR/$global_bug_id/export{1,2}/*;
+
+ touch $EXPORT_DIR/$global_bug_id/export1/{1..10} ;
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+
+ sleep 2;
+
+ find $FUSE_MOUNT | xargs stat &>/dev/null;
+
+ stat $FUSE_MOUNT &>/dev/null;
+
+ return $?;
+}
+
+_init ; backend_data \ No newline at end of file